# IsolationLevel Class Reference
[Tools for working with transactions]

Transaction isolation levels. More...

Inheritance diagram for IsolationLevel:
[legend]

List of all members.

## Public Attributes

const | READ_COMMITTED = 0x01
const | READ_UNCOMMITTED = 0x02
const | REPEATABLE_READ = 0x03
const | SERIALIZABLE = 0x04

## Protected Attributes

| $names

## Detailed Description

Transaction isolation levels.

See also:
  http://www.postgresql.org/docs/current/interactive/sql-start-transaction.html

Definition at line 19 of file IsolationLevel.class.php.

## Member Data Documentation

IsolationLevel::$names`[protected]`

Initial value:

     array(
                self::READ_COMMITTED    => 'read commited',
                self::READ_UNCOMMITTED  => 'read uncommitted',
                self::REPEATABLE_READ   => 'repeatable read',
                self::SERIALIZABLE      => 'serializable'
            )

Reimplemented from Enumeration.

Definition at line 26 of file IsolationLevel.class.php.

const IsolationLevel::READ_COMMITTED = 0x01

Definition at line 21 of file IsolationLevel.class.php.

const IsolationLevel::READ_UNCOMMITTED = 0x02

Definition at line 22 of file IsolationLevel.class.php.

const IsolationLevel::REPEATABLE_READ = 0x03

Definition at line 23 of file IsolationLevel.class.php.

const IsolationLevel::SERIALIZABLE = 0x04

Definition at line 24 of file IsolationLevel.class.php.

The documentation for this class was generated from the following file:

- core/DB/Transaction/IsolationLevel.class.php